{
"list_id": "a0ee-9c0b-1122",
"template_id": "8c7d-bcde-1122",
"common_params": {
"site_url": "https://syntr.io"
}
}
{
"success": true,
"data": {
"total": 100,
"sent": 98,
"failed": 2,
"details": []
},
"message": "Batch processing complete."
}
Transactional API
Batch Transactional distribution
Execute a batch of transactional messages. You may provide a specific ‘emails’ array for unique payloads per user, or a ‘list_id’ to target an entire segment with ‘common_params’.
POST
/
emails
/
bulk
{
"list_id": "a0ee-9c0b-1122",
"template_id": "8c7d-bcde-1122",
"common_params": {
"site_url": "https://syntr.io"
}
}
{
"success": true,
"data": {
"total": 100,
"sent": 98,
"failed": 2,
"details": []
},
"message": "Batch processing complete."
}
Request Body
array
List of individual messages: [{to, recipient_id, params, name}]
string
Fetch all recipients from a specific list.
string
required
REQUIRED. The design asset to use for this batch.
object
Global merge tags shared by all batch recipients.
{
"list_id": "a0ee-9c0b-1122",
"template_id": "8c7d-bcde-1122",
"common_params": {
"site_url": "https://syntr.io"
}
}
{
"success": true,
"data": {
"total": 100,
"sent": 98,
"failed": 2,
"details": []
},
"message": "Batch processing complete."
}

